{"openapi":"3.1.0","info":{"title":"ArtLove365 API","version":"1.0.0"},"servers":[{"url":"https://api.artlove365.com"}],"components":{"schemas":{"CreateOrder":{"oneOf":[{"type":"object","properties":{"kind":{"type":"string","enum":["reproduction"]},"artworkSlug":{"type":"string","maxLength":120},"size":{"type":"string","enum":["30x40","50x70","60x90","90x120"]},"frame":{"type":"string","enum":["rolled","stretched","framed"]},"locale":{"type":"string","enum":["en","es","fr","de","it","ja","vi"],"default":"en"},"notes":{"type":"string","maxLength":2000},"customer":{"type":"object","properties":{"name":{"type":"string","minLength":2,"maxLength":120},"email":{"type":"string","maxLength":200,"format":"email"},"phone":{"type":"string","maxLength":40},"address":{"type":"string","minLength":3,"maxLength":300},"city":{"type":"string","minLength":1,"maxLength":120},"postalCode":{"type":"string","minLength":1,"maxLength":20},"country":{"type":"string","minLength":2,"maxLength":2}},"required":["name","email","address","city","postalCode","country"]}},"required":["kind","artworkSlug","size","frame","customer"]},{"type":"object","properties":{"kind":{"type":"string","enum":["custom"]},"uploadId":{"type":"string","format":"uuid"},"style":{"type":"string","enum":["classic","impressionist","vangogh","modern"]},"subjects":{"type":"integer","minimum":1,"maximum":8},"size":{"type":"string","enum":["30x40","50x70","60x90","90x120"]},"frame":{"type":"string","enum":["rolled","stretched","framed"]},"locale":{"type":"string","enum":["en","es","fr","de","it","ja","vi"],"default":"en"},"notes":{"type":"string","maxLength":2000},"customer":{"type":"object","properties":{"name":{"type":"string","minLength":2,"maxLength":120},"email":{"type":"string","maxLength":200,"format":"email"},"phone":{"type":"string","maxLength":40},"address":{"type":"string","minLength":3,"maxLength":300},"city":{"type":"string","minLength":1,"maxLength":120},"postalCode":{"type":"string","minLength":1,"maxLength":20},"country":{"type":"string","minLength":2,"maxLength":2}},"required":["name","email","address","city","postalCode","country"]}},"required":["kind","uploadId","style","subjects","size","frame","customer"]}]},"OrderView":{"type":"object","properties":{"code":{"type":"string"},"kind":{"type":"string","enum":["reproduction","custom"]},"status":{"type":"string"},"artworkSlug":{"type":["string","null"]},"size":{"type":"string"},"frame":{"type":"string"},"total":{"type":"number"},"createdAt":{"type":"string"},"trackingNumber":{"type":["string","null"]},"sketchStatus":{"type":["string","null"],"enum":["pending","approved","changes_requested",null]},"events":{"type":"array","items":{"type":"object","properties":{"status":{"type":"string"},"note":{"type":["string","null"]},"at":{"type":"string"}},"required":["status","note","at"]}}},"required":["code","kind","status","artworkSlug","size","frame","total","createdAt","trackingNumber","sketchStatus","events"]}},"parameters":{}},"paths":{"/v1/orders":{"post":{"tags":["orders"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrder"}}}},"responses":{"201":{"description":"Order created","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string"},"total":{"type":"number"},"checkoutUrl":{"type":["string","null"]}},"required":["code","total","checkoutUrl"]}}}},"400":{"description":"Invalid input"}}}},"/v1/orders/{code}":{"get":{"tags":["orders"],"parameters":[{"schema":{"type":"string","maxLength":20},"required":true,"name":"code","in":"path"},{"schema":{"type":"string","maxLength":200},"required":true,"name":"email","in":"query"}],"responses":{"200":{"description":"Order","content":{"application/json":{"schema":{"type":"object","properties":{"order":{"$ref":"#/components/schemas/OrderView"}},"required":["order"]}}}},"404":{"description":"Not found"}}}}},"webhooks":{}}